<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.relax.admin");
%>
<base:page type="default" >
<base:head 
	scripts="~../relax.js,~map-external-data.js" 
	styles="path.css,~../css/relax.css"
>
<style>

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Relax" href="<%="../index-admin.jsp?ID="+ID%>" 
		/><p:pathelement title="Map external data to releases" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select a source data file</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">File</td>
				<td class="input">
					<input type="file" name="file" id="file" class="required" style="width: 95%;" accept=".csv,.tsv">
				</td>
				<td class="status" id="file.status"></td>
				<td class="help"><span id="file.message" class="message"></span>
					<ul>
					<li>Select the file that was produced by the Reggie wizard. 
					<li>The first line should contain column headers starting with Patient, Case and Specimen.
					<li>For each line the wizard will check if a specimen is found in the current release.
					</ul>
				</td>
			</tr>
			</table>
		</div>
	</div>

	<div id="wizard-messages"></div>
	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="goexport" title="Export" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="godownload" title="Download" image="<%=home+"/images/download.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
